#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_FishRankRankingCFGData
{
	//编号
	int mID;
	//开始排名
	int mStartRank;
	//结束排名
	int mEndRank;
	//奖励道具
	std::vector<int> mRewardItme;
	//奖励数量
	std::vector<int> mRewardCount;
};

class Fish_FishRankRankingCFG
{
public:
private:
	static std::auto_ptr<Fish_FishRankRankingCFG> msSingleton;
public:
	int GetCount();
	const Fish_FishRankRankingCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_FishRankRankingCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_FishRankRankingCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_FishRankRankingCFGData> mMapData;
};
